<?php

namespace BasicPages;
use \Model\Model;

defined('ROOT') or die("Direct script access denied");

/**
 * Page class
 */
class Page extends Model
{

	protected $table = 'pages';
	public $primary_key = 'id';

	protected $allowedColumns = [
		'user_id',
		'title',
		'image',
		'description',
		'keywords',
		'slug',
		'content',
		'views',
		'display_title',
		'disabled',
		'date_created',
	];
	
	protected $allowedUpdateColumns = [
		'user_id',
		'title',
		'image',
		'description',
		'keywords',
		'slug',
		'content',
		'views',
		'display_title',
		'disabled',
		'date_updated',
		'date_deleted',
	];


	public function validate_insert(array $data):bool
	{
		$this->errors = [];

 		if(empty($data['email']))
 		{
 			$this->errors['email'] = 'Email is required';
 		}else
 		if($this->first(['email'=>$data['email']]))
 		{
 			$this->errors['email'] = 'That email is already in use';
 		}else
 		if(!filter_var($data['email'],FILTER_VALIDATE_EMAIL))
 		{
 			$this->errors['email'] = 'Email is not valid';
 		}
 		

 		return empty($this->errors);
	}

	public function validate_update(array $data):bool
	{
		$this->errors = [];
		
		$email_arr = [
			'email'=>$data['email']
		];
		$email_arr_not = [
			$this->primary_key => $data[$this->primary_key] ?? 0
		];
		
		if(empty($data['email']))
 		{
 			$this->errors['email'] = 'Email is required';
 		}else
 		if($this->first($email_arr,$email_arr_not))
 		{
 			$this->errors['email'] = 'That email is already in use';
 		}else 		
 		if(!filter_var($data['email'],FILTER_VALIDATE_EMAIL))
 		{
 			$this->errors['email'] = 'Email is not valid';
 		}

		return empty($this->errors);
	}
}