<?php if(user_can('add_user')):?>
	
	<form method="post" enctype="multipart/form-data">
		
		<div class="row g-3 col-md-6 mx-auto shadow p-4 rounded">
		
		<?=csrf()?>

		<h4 class="text-center">New Website Page</h4>
		
		<label class="text-center">
			<img src="<?=get_image('')?>" class="img-thumbnail" style="cursor:pointer;width:100%;max-width:200px;max-height: 200px;object-fit: cover;">
			<input onchange="display_image(event)" type="file" name="image" class="d-none">

			<?php if(!empty($errors['image'])):?>
			  <small class="text-danger"><?=$errors['image']?></small>
			<?php endif?>
		</label>

		<div class="mb-3 col-md-12">
		  <label for="title" class="form-label">Title</label>
		  <input name="title" value="<?=old_value('title')?>" type="text" class="form-control" id="title" placeholder="Title">
			
			<?php if(!empty($errors['title'])):?>
			  <small class="text-danger"><?=$errors['title']?></small>
			<?php endif?>
		</div>

		<div class="mb-3 col-md-12">
		  <label for="slug" class="form-label">Slug</label>
		  <input name="slug" value="<?=old_value('slug')?>" type="text" class="form-control" id="slug" placeholder="Slug">
			
			<?php if(!empty($errors['slug'])):?>
			  <small class="text-danger"><?=$errors['slug']?></small>
			<?php endif?>
		</div>
		<div class="mb-3 col-md-12">
		  <label for="content" class="form-label">Page content</label>
			<textarea rows="10" id="content" name="content" class="form-control" placeholder="Your page content in HTML"><?=old_value('content')?></textarea>
			<?php if(!empty($errors['content'])):?>
			  <small class="text-danger"><?=$errors['content']?></small>
			<?php endif?>
		</div>

		<div class="mb-3 col-md-12">
		  <label for="description" class="form-label">Description (Optional, for SEO)</label>
		  <input name="description" value="<?=old_value('description')?>" type="text" class="form-control" id="description" placeholder="Description">
			
			<?php if(!empty($errors['description'])):?>
			  <small class="text-danger"><?=$errors['description']?></small>
			<?php endif?>
		</div>

		<div class="mb-3 col-md-12">
		  <label for="keywords" class="form-label">Keywords(Optional, SEO)</label>
		  <input name="keywords" value="<?=old_value('keywords')?>" type="text" class="form-control" id="keywords" placeholder="Keywords">
			
			<?php if(!empty($errors['keywords'])):?>
			  <small class="text-danger"><?=$errors['keywords']?></small>
			<?php endif?>
		</div>
		
 
		<div class="mb-3 col-md-12 border p-2">
			<label>Categories:</label>
			<div class="row g-2">
				<?php 
					$query = "select * from categories where disabled = 0";
					$categories = $page->query($query); 
				?>

				<?php if(!empty($categories)):$num = 0?>
					<?php foreach($categories as $category):$num++?>
						<div class="form-check col-md-6">
						  <input name="category_<?=$num?>" class="form-check-input" type="checkbox" value="<?=$category->id?>" id="check<?=$num?>">
						  <label class="form-check-label" for="check<?=$num?>" style="cursor:pointer;">
						    <?=esc(str_replace("_", " ", $category->category))?>
						  </label>
						</div>s
					<?php endforeach?>
				<?php endif?>
			</div>

		</div>
 
		<div class="d-flex justify-content-between">
			<a href="<?=ROOT?>/<?=$admin_route?>/<?=$plugin_route?>">
				<button type="button" class="btn btn-primary">
					<i class="fa-solid fa-chevron-left"></i> Back
				</button>
			</a>
			<button class="btn btn-danger">
				<i class="fa-solid fa-save"></i> Save
			</button>
		</div>
	</div>
	</form>

	<script type="text/javascript">

		var valid_image = true;
		function display_image(e)
		{
			let allowed = ['image/jpeg','image/png','image/webp'];
			let file = e.currentTarget.files[0];

			if(!allowed.includes(file.type)){
				alert("Only files of this type allowed: " + allowed.toString().replaceAll('image/',''));
				valid_image = false;
				return;
			}
			valid_image = true;
			e.currentTarget.parentNode.querySelector('img').src = URL.createObjectURL(file);
		}

		function submit_form(e)
		{
			if(!valid_image)
			{
				e.preventDefault()
				alert("Please add a valid image");
				return;
			}
		}

	</script>

<?php else:?>
	<div class="alert alert-danger text-center">
		Access denied. You dont have permission for this action
	</div>
<?php endif?>